function PlayerBase:set_detection_multiplier(reason, multiplier)
	self._detection_settings.multipliers[reason] = multiplier
	local delay_mul = self._detection_settings.init_delay_mul
	local range_mul = self._detection_settings.init_range_mul

	for reason, mul in pairs(self._detection_settings.multipliers) do
		delay_mul = delay_mul * 1 / mul
		range_mul = range_mul -- * math.sqrt(mul)
	end

	self._detection_settings.delay_mul = delay_mul
	self._detection_settings.range_mul = range_mul * 1 -- insert your number here
end